Subject: Re: [dmarc-ietf] Proposal to adopt ARC documents into the WG (toward phase 2 milestone)

From: Barry Leiba <[email-masked]>
Date: Fri, 3 Jun 2016 11:24:18 -0400

I hear that some people would like to consider other things besides
ARC, and that's noted.  The working group clearly does seem to want to
work on ARC and to start with Kurt's draft in that endeavour.

Murray, I've seen no response to Ned's note (which I agree with) that
explains why we think the charter, as written, covers the ARC work.
Do you have any follow-up, or did Ned's message address your concern?

Barry

On Wed, May 18, 2016 at 10:06 AM,  <[email-masked]> wrote:
>> There are a few different points here:
>
>
>> 1.  The proposed activity falls perfectly under "track" 1:
>
>
>> > 1. Addressing the issues with indirect mail flows
>
>
>> If anyone disagrees with that, that should probably be discussed as a
>> distinct point, because I think it's obvious.
>
>
> I concur.
>
>> 2.  The constraint to "not develop additional mail authentication
>> technologies" has a scope limited to the second "track", which is:
>
>
>> > Reviewing and improving the base DMARC specification
>
>
>> Since the proposed activity does not directly touch any aspect of the
>> base DMARC specification, I again think that the INapplicability of the
>> text for track 2 is also obvious.
>
>
> Agreed again.
>
>> 3. Now we get to the difference between a track and a phase.  And to
>> state the issue is to state its resolution:  these are different
>> constructs, with different terminology.  As if they are meant to be
>> considered separately...
>
>
> It never occured to me to think of the two as connected or cooresponding
> or anything similar.
>
>
>> The first item in Phase II is:
>
>
>> >  Phase II:
>> >
>> > Specification of DMARC improvements to support indirect mail flows
>
>
>> And here's where I wish we'd phrased things a bit differently, although
>> I don't think the current wording is a show-stopper.
>
>
> It probably would have help to clearly link this item to track 1.
>
>> The proposed work falls under this first item in phase II.
>
>
>> The catch is that the draft doesn't /say/ it's improving DMARC.  (In
>> fact, I've been quite vigorous in pressing to have the proposed spec
>> carefully not say much about DMARC.)  But really that's a
>> document-writing point, not a working group functional point.
>
>
> Agreed.
>
>> That is, ARC's development has been specifically motivated to respond to
>> exactly this item in Phase II.
>
>
>> If we did sloppy specification-writing, we'd have written this as a part
>> of a DMARC enhancement.  Not the 'base', of course, but an enhancement.
>> The fact that it's been written as an independent component is so that
>> its use is not /limited/ to DMARC.  But again, that's merely a writing
>> artifact.
>
>
>> So, my reading of the charter says that the proposed spec falls under
>> the first item of Phase two and the second sub-bullet of Track 1.
>
>
> As does my own reading.
>
>                                 Ned
>
>
> _______________________________________________
> dmarc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dmarc

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Fri, 3 Jun 2016 17:42:45 -0700

> Do you have any follow-up, or did Ned's message address your concern?

I think we can call it "addressed" by me accepting that I'm in the rough in
terms of consensus.  If my interpretation is singular, there's no need to
dwell on it.

-MSK

---

From: Barry Leiba <[email-masked]>
Date: Tue, 7 Jun 2016 10:06:34 -0400

> terms of consensus.  If my interpretation is singular, there's no need to

Great; then the work is accepted, and the starting-point documents
will become working group documents.

Please submit new versions of those documents with working group file
names, as follows:

draft-andersen-arc -> draft-ietf-dmarc-arc-protocol-00

draft-jones-arc-usage -> draft-ietf-dmarc-arc-usage-00

When you submit them, please be sure to fill in the "replaces" field
on the second page of the submission form with the old file name.

Barry

---

From: "Kurt Andersen (b)" <[email-masked]>
Date: Tue, 7 Jun 2016 07:46:42 -0700

On Tue, Jun 7, 2016 at 7:06 AM, Barry Leiba <[email-masked]> wrote:

> . . . the work is accepted, and the starting-point documents
> names, as follows:. . .

Will do! Probably later this week.

--Kurt

---

From: Barry Leiba <[email-masked]>
Date: Wed, 22 Jun 2016 17:59:11 -0400

> Will do! Probably later this week.

...which is now two weeks ago.

New versions soon?

Barry